<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'realestate',

    /*
     * Package.
     */
    'package'   => 'contact',

    /*
     * Modules.
     */
    'modules'   => ['contact'],

    
    'contact'       => [
        'model' => [
            'model'                 => \Realestate\Contact\Models\Contact::class,
            'table'                 => 'contacts',
            'presenter'             => \Realestate\Contact\Repositories\Presenter\ContactPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'refno',  'agent_id',  'location_id',  'city_id',  'district_id',  'state_id',  'country_id',  'salutation',  'firstname',  'middlename',  'lastname',  'dob',  'phone',  'mobile',  'email',  'fax',  'company',  'designation',  'website',  'facebook',  'linkdlen',  'twitter',  'address',  'slug',  'status',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'contact/contact',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Realestate',
            'package'   => 'Contact',
            'module'    => 'Contact',
        ],

    ],
];
