<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateContactsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: contacts
         */
        Schema::create('contacts', function ($table) {
            $table->increments('id');
            $table->string('refno', 255)->nullable();
            $table->integer('agent_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->integer('district_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('country_id')->nullable();
            $table->string('salutation', 255)->nullable();
            $table->string('firstname', 250)->nullable();
            $table->string('middlename', 255)->nullable();
            $table->string('lastname', 255)->nullable();
            $table->date('dob')->nullable();
            $table->string('phone', 50)->nullable();
            $table->string('mobile', 50)->nullable();
            $table->string('email', 250)->nullable();
            $table->integer('fax')->nullable();
            $table->string('company', 255)->nullable();
            $table->string('designation', 255)->nullable();
            $table->string('website', 250)->nullable();
            $table->string('facebook', 255)->nullable();
            $table->string('linkdlen', 255)->nullable();
            $table->string('twitter', 255)->nullable();
            $table->string('address', 255)->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['Active','Inactive'])->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('contacts');
    }
}
