<?php

namespace Realestate\Contact\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ContactTransformer extends TransformerAbstract
{
    public function transform(\Realestate\Contact\Models\Contact $contact)
    {
        return [
            'id'                => $contact->getRouteKey(),
            'key'               => [
                'public'    => $contact->getPublicKey(),
                'route'     => $contact->getRouteKey(),
            ], 
            'id'                => $contact->id,
            'refno'             => $contact->refno,
            'agent_id'          => $contact->agent_id,
            'location_id'       => $contact->location_id,
            'city_id'           => $contact->city_id,
            'district_id'       => $contact->district_id,
            'state_id'          => $contact->state_id,
            'country_id'        => $contact->country_id,
            'salutation'        => $contact->salutation,
            'firstname'         => $contact->firstname,
            'middlename'        => $contact->middlename,
            'lastname'          => $contact->lastname,
            'dob'               => $contact->dob,
            'phone'             => $contact->phone,
            'mobile'            => $contact->mobile,
            'email'             => $contact->email,
            'fax'               => $contact->fax,
            'company'           => $contact->company,
            'designation'       => $contact->designation,
            'website'           => $contact->website,
            'facebook'          => $contact->facebook,
            'linkdlen'          => $contact->linkdlen,
            'twitter'           => $contact->twitter,
            'address'           => $contact->address,
            'slug'              => $contact->slug,
            'status'            => $contact->status,
            'upload_folder'     => $contact->upload_folder,
            'deleted_at'        => $contact->deleted_at,
            'created_at'        => $contact->created_at,
            'updated_at'        => $contact->updated_at,
            'url'               => [
                'public'    => trans_url('contact/'.$contact->getPublicKey()),
                'user'      => guard_url('contact/contact/'.$contact->getRouteKey()),
            ], 
            'status'            => trans('app.'.$contact->status),
            'created_at'        => format_date($contact->created_at),
            'updated_at'        => format_date($contact->updated_at),
        ];
    }
}